#
# spec file for package python3-Flask-Testing
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-Flask-Testing
Version:        0.6.1
Release:        1.8
License:        BSD-3-Clause
Summary:        Unit testing for Flask
Url:            https://github.com/jarus/flask-testing
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Testing/Flask-Testing-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Flask
# test requirements
BuildRequires:  python3-blinker
Requires:       python3-Flask
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flask unittest integration.

%prep
%setup -q -n Flask-Testing-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python3_sitelib}/*

%changelog
* Thu Sep 15 2016 toddrme2178@gmail.com
- Initial version
